Bug 215065 - www/webgrind: update to 1.4
Summary: www/webgrind: update to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-05 06:59 UTC by Franco Fichtner
Modified: 2016-12-07 05:37 UTC (History)
0 users

See Also:
lwhsu: maintainer-feedback+


Attachments
patch against head (1.36 KB, patch)
2016-12-05 06:59 UTC, Franco Fichtner
no flags Details | Diff
revised patch (2.26 KB, patch)
2016-12-06 18:02 UTC, Franco Fichtner
no flags Details | Diff
third revision (2.79 KB, patch)
2016-12-06 18:06 UTC, Franco Fichtner
franco: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-12-05 06:59:17 UTC
Created attachment 177680 [details]
patch against head

Update webgrind to official version 1.4 and fix the path to dot binary for the CALLGRAPH option.

Builds fine on poudriere/amd64/10.3.
Comment 1 Li-Wen Hsu freebsd_committer 2016-12-05 12:40:57 UTC
(In reply to Franco Fichtner from comment #0)
Thanks very much for the patch!  Do you want to be the maintainer of this port?
Comment 2 Franco Fichtner 2016-12-05 12:46:32 UTC
Sure, I will put this on my watchlist.


Cheers,
Franco
Comment 3 Li-Wen Hsu freebsd_committer 2016-12-05 15:16:04 UTC
(In reply to Franco Fichtner from comment #2)
Great, I am a bit busy for now and not able to work on this right now, please help to check following items:

- Build preprocessor in bin/ and install to %%WWWDIR%%/bin
  (You might want to make it respect CFLAGS, please refer to
   https://www.freebsd.org/doc/en/books/porters-handbook/dads-cflags.html )
- Remove files in WORKDIR that unnecessary to be in %%WWWDIR%% before COPYTREE_SHARE
  ( %%WWWDIR%%/bin/preprocessor might be treated separately,
    which needs ${INSTALL_PROGRAM} )
- Check pkg-plist, I found at least %%WWWDIR%%/favicon.ico is missing
- Test with portlint & poudriere
- Change the MAINTAINER field to your email address :)
Comment 4 Franco Fichtner 2016-12-06 18:02:05 UTC
Created attachment 177726 [details]
revised patch

Like this?  :)

There's one portlint warning about plain python, but I guess this one is normal.

Added preprocessor binary with CXXFLAGS support.

Plist fixed + maintainer updated.

NO_BUILD / NO_ARCH needed to be removed and makefile fixed.

No more errors for "check-orphans" and DEVELOPER=yes, pacakges fine.


Cheers,
Franco
Comment 5 Franco Fichtner 2016-12-06 18:06:48 UTC
Created attachment 177727 [details]
third revision

forgot to add new patch in files/ in previous
Comment 6 commit-hook freebsd_committer 2016-12-07 05:37:46 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Dec  7 05:37:19 UTC 2016
New revision: 428033
URL: https://svnweb.freebsd.org/changeset/ports/428033

Log:
  - Update to 1.4
  - Pass maintainership to submitter

  PR:		215065
  Submitted by:	Franco Fichtner <franco@opnsense.org>

Changes:
  head/www/webgrind/Makefile
  head/www/webgrind/distinfo
  head/www/webgrind/files/
  head/www/webgrind/files/patch-makefile
  head/www/webgrind/pkg-plist